WordPress.org

Ready to get started?Download WordPress

Forums

EWWW Image Optimizer
[resolved] Missing: optipng, gifsicle, pngout (6 posts)

  1. mbnabdullah
    Member
    Posted 1 year ago #

    I am using Go-Daddy Hosting and Server. I am facing:

    "EWWW Image Optimizer requires jpegtran, optipng or pngout, and gifsicle. You are missing: optipng, gifsicle, pngout. Please install via the Settings Page. If the one-click install links don't work for you, try the Installation Instructions."

    and Plugin Status is described in the image attached.

    You can check the snapshot here: View Snapshot

    Please help me. Tell me what should I tell to my host provider so that plugin can work. I will be grateful to you for your help.

    Thanks

    http://wordpress.org/plugins/ewww-image-optimizer/

  2. nosilver4u
    Member
    Plugin Author

    Posted 1 year ago #

    Problem: Your godaddy server does not have the 'file' command or any of the php libraries needed to verify the integrity of the bundled binaries.

    Option 1: If you don't have any PNGs or GIFs to optimize, just ignore it.

    Option 2: Ask for them to install the 'file' command or the finfo php libraries. On some webhosts, it is possible to just use a newer version of php, or a custom php.ini file to activate the finfo libraries, but I have my doubts with godaddy.

    Option 3: find a real webhost, sorry, godaddy is like using a 1 cm flyswatter to kill flies.

  3. mbnabdullah
    Member
    Posted 1 year ago #

    Thanks for your help. Please wait and let me contact with godaddy. I will back to you ASAP and will tell you about their response.

    Thanks again

  4. GeoSuite2008
    Member
    Posted 1 year ago #

    I experience the same problem. Could you please let me know when you get the solution? My email address is info@geoadvanced.com. Thank you.

  5. nosilver4u
    Member
    Plugin Author

    Posted 1 year ago #

    There was a user some time back that had it working with godaddy, but I do not have any details on their php setup. It would appear from doing a google search, however, that you can likely modify some php options, enable the fileinfo libraries, and possibly even change the php version you are using by using a custom php.ini file (fileinfo only comes with php 5.3+ if I remember correctly). At any rate, It has been a week since the last response, so I'm closing this ticket.

    Anyone who has more details, feel free to speak up so that it can be documented for future users.

  6. mbnabdullah
    Member
    Posted 1 year ago #

    I contacted with godaddy. They say everything is fine on their side but plugin still not working. May be I will change the hosting.

    Thanks you sir for your help.

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic